@import "../../_mixins.scss";
.purchase-history {
  .header-actions {
    display: flex;
    justify-content: flex-end;
    margin: 10px 0 8px 0;
    .right {
      display: flex;
      align-items: center;
      .action-btn {
        margin: 0 5px 0 0;
        min-width: 75px;
        font-weight: 600;
        img.img-icon {
          margin: 0 5px 0 5px;
          width: 15px;
        }
      }
      // .btn.square-btn {
      //   font-size: 30px;
      //   padding: 2px 8px;
      // }
      .top-bar-active-filter {
        // max-width: 777px;
        // width: 500px;
        height: 31px;
        background-color: white;
        margin-top: -2px;
        border-radius: 5px;
        margin-right: 16px;
        display: flex;
        flex-direction: row-reverse;
        align-items: center;
        padding-right: 15px;

        .clear-action {
          height: 15px;
          width: 70px;
          font-family: Montserrat;
          font-size: var(--font-xs);
          font-weight: 500;
          font-stretch: normal;
          font-style: normal;
          line-height: 1.25;
          letter-spacing: normal;
          text-align: left;
          color: #db7c20;
          padding-left: 15px;

          &:hover {
            cursor: pointer;
          }
        }

        .applied-filter {
          display: flex;
          justify-content: center;
          align-items: center;
          padding-left: 10px;
        }

        .filters {
          font-family: Montserrat;
          font-size: var(--font-m);
          font-weight: 500;
          font-stretch: normal;
          font-style: normal;
          line-height: 1.29;
          letter-spacing: normal;
          text-align: left;
          color: #003041;
          padding-left: 8px;
          padding-right: 8px;
        }

        .top-filter-delete {
          width: 12px;
          height: 12px;
          // padding-left: 4px;
          opacity: 1;
          transform: none;
          cursor: pointer;
        }
      }
      .action-btn + .filter {
        position: relative;
        cursor: pointer;
      }
      .action-btn-group {
        filter: grayscale(1);
        margin: 0 5px 0 0;
        min-width: 95px;
        font-weight: 600;
        img.img-icon {
          margin: 0 5px 0 5px;
          width: 15px;
        }
      }
    }
  }
  button.square-btn {
    min-width: unset !important;
    margin: 0 5px 0 0;
  }

  .body-panel {
    height: 83vh;
    margin: 10px 0 0 0;
  }
}

.purchase-list-panel {
  .action-top-bar {
    display: flex;
    background-color: white;
    border-bottom: solid 1px #d3dde0;
    justify-content: space-between;
    align-items: center;

    .left-section {
      display: flex;
      align-items: center;

      .po-date-range-filter {
        .col-md-6 {
          width: 100%;
        }
      }
      .purchase-order__search {
        width: 300px;
        padding: 0px;
        padding-left: 10px;
      }
      .recieved_checkbox {
        margin: -12px 10px 0 18px;
      }
    }
    .right-section .btn.square-btn.export-btn {
      font-size: var(--font-xs);
      padding: 4px 8px 3px;
      height: 29px;
      min-width: 65px;
      margin-left: 15px;
      width: 100px;
    }
  }

  .purchase-list {
    background: white;
    .sub-heading {
      padding: 0 5px;
      display: grid;
      grid-template-columns: 1fr 0.25fr 1fr;
      grid-template-rows: auto;
      font-weight: 400;
    }
    .title {
      padding-left: 25px;
      text-align: left;
    }
    .header {
      padding: 15px 20px 15px 15px;
      display: grid;
      grid-template-rows: auto;
      border-bottom: solid 1px #d3dde0;
      .time {
        font-weight: 600;
        text-align: center;
      }
      .title {
        font-weight: 600;
        cursor: pointer;
      }
      .project-name {
        display: flex;
        padding-left: 25px;
        justify-content: left;
        cursor: pointer;
      }
      .manager.title {
        display: flex;
      }
    }

    .purchase-history-title {
      cursor: pointer;
      font-weight: 600;
    }

    .no-ordering {
      cursor: default;
    }

    .column-6 {
      grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    }

    .column-8 {
      grid-template-columns: 0.65fr 0.75fr 0.75fr 1fr 0.5fr 0.75fr 1fr 0.5fr 0.5fr;
    }
    .column-8.even {
      background: #cccccc1f;
    }

    .row-panel {
      display: grid;
      grid-template-rows: auto;
      line-height: 3;
      font-weight: 500;
      cursor: pointer;
      padding: 10px 15px;
      img.status-svg-images {
        width: 15px;
        margin: -20px 0 0 0;
      }

      .icons {
        justify-content: space-around;
        display: flex;
        margin: 0 0 0 5px;
      }
      .order-fixed-width {
        display: flex;
        justify-content: left;
        width: 50px;
        cursor: pointer;
        .ellipsis-text {
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;
          // width: 50px;
          padding-left: 15px;
          text-align: left;
        }
        .name {
          font-weight: 400;
        }
        &:hover {
          text-decoration: underline;
          color: blue;
        }
      }
      .due-date {
        width: 103px;
      }
      .hide-overflow-width {
        display: flex;
        justify-content: left;
        overflow: hidden;
        cursor: pointer;
        .ellipsis-text {
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;
          width: 150px;
          text-align: left;
        }
        .name {
          font-weight: 400;
        }
        &:hover {
          text-decoration: underline;
          color: blue;
        }
      }
      .manager {
        display: flex;
        align-items: center;
        float: unset;
        margin: 0 0 0 10px;
      }
      .sub-heading {
        font-weight: 600;
      }
    }
    .row-highlight {
      background: #f5ecee !important;
    }
    .sales-activity-status {
      width: 80px;
      margin: 0 0 0 0;
      font-size: var(--font-s);
      font-weight: 600;
      font-stretch: normal;
      font-style: normal;
      letter-spacing: normal;
      text-align: left;
      line-height: 2;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      // width: 100px;
      text-align: left;

      .ellipsis-text {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        text-align: left;
        padding: 4px 10px;
        width: 100%;
      }
    }

    .user-name {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      text-align: left;
    }

    .ellipse-actions {
      // position: relative;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: flex-end;
      padding-right: 15px;

      .ellipse-item {
        background-color: #4e575c;
        height: 4px;
        width: 4px;
        border-radius: 50%;
        margin: 0 0 0 2px;
      }

      .rowellipse-actions {
        position: absolute;
        padding: 0 15px 0 15px;
        display: flex;
        flex-direction: column;
        align-items: start;
        background-color: white;
        border: solid 1px #d3dde0;
        border-radius: 2px;
        right: 65px;

        .edit-activity,
        .close-activity {
          width: 100%;
          text-align: left;
        }
      }

      .action-status-message {
        height: 20px;
        padding: 3px 8px 1.3px;
        border-radius: 4px;
        border: solid 1px #176f07;
        background-color: #176f07;

        .message-text {
          margin-top: -14px;
          color: white;
        }
      }
    }
  }
}

.purchase-history {
  .projects-action-tabs {
    display: flex;
    min-width: unset;
    margin: 0 0 5px 0;
  }
  .projects-action-tabs-link {
    border-radius: 2px;
    font-family: var(--font-first);
    font-weight: 700;
    font-size: var(--font-s);
    line-height: 1;
    font-style: normal;
    font-stretch: normal;
    letter-spacing: 0.2px;
    text-align: left;
    color: var(--primary);
    border-color: var(--primary);
    padding: 8px 14px;
    text-align: center;
    outline: none;
    margin: 0 5px 0 0;
    min-width: unset;
    border: 1px solid var(--primary);
    background: var(--default);

    @include transitions(all 0.5s ease);
    @include text_one_line;

    &:hover,
    &:active,
    &:focus,
    &:focus:active,
    &:hover:active {
      background: var(--primary);
      color: var(--default);
      border-color: var(--primary);
      img {
        filter: invert(75%);
      }
    }

    &.--active {
      background: var(--primary);
      color: var(--default);
      border-color: var(--app-bg);
      img {
        filter: invert(75%);
      }
      position: relative;
      display: block;
      &::after {
        position: absolute;
        bottom: 0;
        height: 0;
        width: 0;
        left: 43%;
        border: 6px solid transparent;
        border-bottom-color: var(--app-bg);
        content: "";
      }
    }
  }
  .asc-order {
    margin: 0 !important;
  }
  .desc-order {
    margin: 0 !important;
  }
  .color-preview {
    padding: 0;
    height: var(--input-height);
    line-height: 2.5;
    font-weight: 600;
    display: flex;
    flex-direction: row;
    margin: 10px 0 0 0;
    .left-column {
      width: 5px;
      height: var(--input-height);
    }
    .text {
      width: 100%;
      padding: 4px 10px;
      white-space: nowrap;
      overflow: hidden;
      display: flex;
      text-overflow: ellipsis;
      font-size: var(--font-m);
      place-content: flex-start;
      line-height: 2.4;
    }
  }
}

.customer-contact-sales-activity {
  display: flex;
  align-items: center;
}

.search-sales-activty {
  margin: -20px 0 0 0;
  .field__label {
    display: none !important;
  }
  .field__input.row {
    background: white;
  }
  span.field__error {
    display: none;
  }
}

.load-more {
  border: 1px solid #ccc;
  display: flex;
  padding: 10px;
  justify-content: center;
  margin: 40px;
  cursor: pointer;
  &:hover {
    color: blue;
    text-decoration: underline;
  }
}

.project-filters-container-sales {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  padding: 10px;
  width: 431px;
  height: 400px;
  border-radius: 4px;
  border: solid 1px #d3dde0;
  background-color: #ffffff;
  z-index: 1;
  position: absolute;
  right: 120px;
  top: 110px;

  .header {
    display: flex;
    justify-content: space-between;

    .filter-heading {
      font-family: Montserrat;
      font-size: var(--font-xs);
      font-weight: 500;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.25;
      letter-spacing: normal;
      text-align: left;
      color: #79868b;
    }
  }

  .body-container {
    display: flex;
    flex-direction: row;
    height: 250px;
    padding-top: 15px;

    .filter-left {
      width: 250px;
      border-right: 0.5px solid;
      border-right-color: #dce6ea;

      .filter-option {
        min-height: 42px;
        font-family: Montserrat;
        font-size: var(--font-m);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.29;
        letter-spacing: normal;
        text-align: left;
        color: #003041;
        cursor: pointer;
        padding-top: 12px;
        padding-left: 12px;
      }

      .active-filter {
        font-family: Montserrat;
        font-size: var(--font-m);
        font-weight: 600;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.29;
        letter-spacing: normal;
        text-align: left;
        color: #00a0dc;
        background-color: #eaf8fd;
        border-right: 3px solid #00a0dc;
      }

      .selection-count {
        padding-top: 8px;
        padding-bottom: 8px;
        font-family: Montserrat;
        font-size: var(--font-xs);
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #808688;
      }
    }

    .filter-right {
      width: 100%;
      max-height: 255px;
      overflow-y: auto;

      .filter-selection {
        width: 210px;
        margin-left: 25px;

        .field-section {
          padding: 10px 0px;

          .field__input {
            .rdt {
              position: absolute;
            }
          }
        }
      }
    }
  }

  .selected-filter-section {
    display: flex;
    margin-top: 18px;
    justify-content: space-between;
    align-items: center;
    padding-left: 6px;
  }

  .selected-filter-option {
    font-family: Montserrat;
    font-size: var(--font-m);
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.29;
    letter-spacing: normal;
    text-align: left;
    color: #003041;
  }

  .selected-delete {
    width: 12px;
    height: 12px;
    opacity: 1;
    transform: none;
    cursor: pointer;
  }

  .action-footer {
    margin-top: 30px;
    margin-left: 250px;
  }
}

.pmo-listing-loader {
  position: absolute;
  left: 55%;
  top: 50% !important;
  z-index: 999;
}

.activity {
  .priority-input,
  .customer-contact-input,
  .customer-input {
    width: 350px;
  }

  .due-date-input {
    width: 200px;
  }

  .header-label {
    padding-bottom: 15px;
  }
  .activity-type-option {
    padding-bottom: 5px;

    .checkbox__input {
      width: 20px;
      height: 25px;
      margin: 0;
      margin-top: 0;
    }

    .checkbox__content {
      margin-top: 0;
      font-size: var(--font-l);
    }
  }
}

.sales-status {
  padding-left: 5px !important;
}

.custom-view-action {
  display: flex;
  // align-items: center;
  border-bottom: solid 1px #d3dde0;
  padding-top: 15px;
  padding-left: 15px;
  padding-bottom: 15px;

  .default-view {
    font-family: Montserrat;
    font-size: var(--font-m);
    font-weight: 600;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.29;
    letter-spacing: normal;
    text-align: left;
    color: #001f2b;
    padding-left: 10px;
    padding-right: 10px;
    cursor: pointer;
  }

  .custom-view {
    font-family: Montserrat;
    font-size: var(--font-xs);
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.25;
    letter-spacing: normal;
    text-align: left;
    color: #db7c20;
    padding-left: 10px;
    padding-top: 2px;
    cursor: pointer;
  }

  .active-view {
    border-bottom: solid 3px #00a0dc;
    margin-bottom: -15px;
    color: #00a0dc;
  }
}

.ellipsis-no-width {
  display: block;
  width: 93%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  text-align: left;
  padding: 0 0 0 2px;
}

#purchaseHistoryList {
  .loader {
    left: 47%;
  }
  @include small_scroll();
}

.po-tracking-modal {
  .modal-dialog {
    width: 90%;
    .modal-content {
      width: 100%;
      .modal-body {
        padding: 15px 0;
        .po-order-tracking {
          display: flex;
          flex-direction: column;
          width: 100%;
          position: relative;
          .loader {
            top: 10%;
            left: 47%;
          }
          .no-data {
            margin: 0px 20px;
          }
          .po-ot-header {
            padding: 0 10px 20px;
            .po-ot-header-row {
              padding: 0;
              margin-bottom: 10px;
              .detail {
                font-size: var(--font-m);
              }
            }
          }
        }
      }
    }
  }
}
